Subject: Re: questions / suggestions about history simplification

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Dec 2013 12:20:52 -0800

Adam Spiers <[email-masked]> writes:

> 2. What difference does --dense ever make?

It is set by default, and --sparse is its opposite option, i.e. it
turns revs->dense off.

When revs->dense is turned off, the usual treesame logic does not
kick in to rewrite parents in a single strand of pearls (i.e. a
stretch of history that solely consists of non-merge commits).
	
> 3. Why is --sparse so called, given that it increases rather than
>    decreases the number of commits shown?

The number of commits in the output will increase by including
commits that are irrelevant to explain the history of paths
specified by pathspec in revs->prune.  The information density
decreases as the result, and that is what "sparse" signifies.